Get Gift Certificate

Returns a single Gift Certificate.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Checkout Content | modify | `store_content_checkout` | | Checkout Content | read-only | `store_content_checkout_read_only` | | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | To read or modify scripts on checkout pages, add `Checkout Content` scopes. ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

idstringRequired

Response

amountstring
Value of the gift certificate.
from_emailstring
Email of the customer who purchased the gift certificate.
from_namestring
Name of the customer who purchased the gift certificate.
to_emailstring
Email of the recipient.
to_namestring
Name of the recipient.
balancestring
Remaining value of the gift certificate. If not set, will default to the amount.
codestring<=255 characters
A unique string that a customer can input to redeem a gift certificate. Values greater than 20 characters will be trimmed down to the first 20 characters and returned in the response. If this field is not set, a value will be autogenerated.
currency_codestring
A currency code, following the ISO 4217 standard. The currency has to exist in the store first. Gift Certificates can only be used if the transactional currency of the cart is the same as the one defined in the gift certificate. If this value is not provided, the gift certificate is created using the store's default transactional currency.
customer_idinteger
The ID of the customer placing the order.
expiry_datestring
Date on which the gift certificate is set to expire. Date displays in the Unix timestamp format.
idinteger

The ID of the gift certificate. This is a READ-ONLY field; do not set or modify its value in a POST or PUT request.

messagestring

Text that will be sent to the recipient, such as “Congratulations.”

order_idinteger
The ID of the order.
purchase_datestring

Date the gift certificate was purchased. If not assigned, this will be set to today’s date. Date displays in the Unix timestamp format.

statusenum
Allowed values:
templateenum
The email theme to use in the message sent to the recipient.